Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub/tei-to-epub.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub/tei-to-epub.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/epub/tei-to-epub.xsl	(revision 2397)
@@ -584,321 +772,405 @@
 		      border: solid red 1pt; 
 		      text-align:center;
 		    </xsl:attribute>
-                    <xsl:call-template name="generateTitle"/>
-                  </div>
-                </xsl:when>
-                <xsl:otherwise>
-                  <div>
-                    <img width="1200" height="1700" alt="cover picture" src="{$coverImageInside}"/>
-                  </div>
-                </xsl:otherwise>
-              </xsl:choose>
-            </body>
-          </html>
-        </xsl:result-document>
-        <xsl:for-each select="tei:text/tei:front/tei:titlePage">
-          <xsl:variable name="N" select="position()"/>
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write file OPS/titlepage<xsl:value-of select="$N"/>.html</xsl:message>
-          </xsl:if>
-          <xsl:result-document href="{concat($directory,'/OPS/titlepage',$N,'.html')}" method="xml">
-            <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-              <head>
-                <xsl:call-template name="metaHTML">
-                  <xsl:with-param name="title">Title page</xsl:with-param>
-                </xsl:call-template>
-                <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
-                <xsl:call-template name="linkCSS">
-		  <xsl:with-param
-		      name="file">stylesheet.css</xsl:with-param>
-		</xsl:call-template>
-                <title>Title page</title>
-              </head>
-              <body>
-                <div class="titlePage">
-                  <xsl:apply-templates/>
-                </div>
-              </body>
-            </html>
-          </xsl:result-document>
-        </xsl:for-each>
-        <xsl:if test="$filePerPage='true'">
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write file OPS/titlepageverso.html</xsl:message>
-          </xsl:if>
-          <xsl:result-document href="{concat($directory,'/OPS/titlepageverso.html')}" method="xml">
-            <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-              <head>
-                <xsl:call-template name="metaHTML">
-                  <xsl:with-param name="title">title page verso</xsl:with-param>
-                </xsl:call-template>
-                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
-                <title>title page verso</title>
-              </head>
-              <body>
-                <p/>
-              </body>
-            </html>
-          </xsl:result-document>
-        </xsl:if>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/titlepageback.html</xsl:message>
-        </xsl:if>
-        <xsl:result-document href="{concat($directory,'/OPS/titlepageback.html')}" method="xml">
-          <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
-            <head>
-              <xsl:call-template name="metaHTML">
-                <xsl:with-param name="title">About this book</xsl:with-param>
-              </xsl:call-template>
-              <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
-              <title>About this book</title>
-            </head>
-            <body>
-              <div style="text-align: left; font-size: larger">
-                <h2>Information about this book</h2>
-                <xsl:for-each select="/*/tei:teiHeader/tei:fileDesc">
-                  <xsl:apply-templates mode="metadata"/>
-                </xsl:for-each>
-                <xsl:for-each select="/*/tei:teiHeader/tei:encodingDesc">
-                  <xsl:apply-templates mode="metadata"/>
-                </xsl:for-each>
-              </div>
-            </body>
-          </html>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/toc.ncx</xsl:message>
-        </xsl:if>
-        <xsl:result-document href="{concat($directory,'/OPS/toc.ncx')}" method="xml">
-          <ncx xmlns="http://www.daisy.org/z3986/2005/ncx/" version="2005-1">
-            <head>
-              <meta name="dtb:uid">
-                <xsl:attribute name="content">
-                  <xsl:call-template name="generateID"/>
+										<xsl:call-template name="generateTitle" />
+									</div>
+								</xsl:when>
+								<xsl:otherwise>
+									<div>
+										<img width="1200" height="1700" alt="cover picture"
+											src="{$coverImageInside}" />
+									</div>
+								</xsl:otherwise>
+							</xsl:choose>
+						</body>
+					</html>
+				</xsl:result-document>
+				<xsl:for-each select="tei:text/tei:front/tei:titlePage">
+					<xsl:variable name="N" select="position()" />
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write file OPS/titlepage
+							<xsl:value-of select="$N" />
+							.html
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document
+						href="{concat($directory,'/OPS/titlepage',$N,'.html')}"
+						method="xml">
+						<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+							<head>
+								<xsl:call-template name="metaHTML">
+									<xsl:with-param name="title">
+										Title page
+									</xsl:with-param>
+								</xsl:call-template>
+								<meta http-equiv="Content-Type"
+									content="text/html; charset=utf-8" />
+								<xsl:call-template name="linkCSS">
+									<xsl:with-param name="file">
+										stylesheet.css
+									</xsl:with-param>
+								</xsl:call-template>
+								<title>Title page</title>
+							</head>
+							<body>
+								<div class="titlePage">
+									<xsl:apply-templates />
+								</div>
+							</body>
+						</html>
+					</xsl:result-document>
+				</xsl:for-each>
+				<xsl:if test="$filePerPage='true'">
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write file OPS/titlepageverso.html
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document
+						href="{concat($directory,'/OPS/titlepageverso.html')}"
+						method="xml">
+						<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+							<head>
+								<xsl:call-template name="metaHTML">
+									<xsl:with-param name="title">
+										title page verso
+									</xsl:with-param>
+								</xsl:call-template>
+								<meta http-equiv="Content-Type"
+									content="text/html; charset=UTF-8" />
+								<title>title page verso</title>
+							</head>
+							<body>
+								<p />
+							</body>
+						</html>
+					</xsl:result-document>
+				</xsl:if>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/titlepageback.html
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/titlepageback.html')}" method="xml">
+					<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+						<head>
+							<xsl:call-template name="metaHTML">
+								<xsl:with-param name="title">
+									About this book
+								</xsl:with-param>
+							</xsl:call-template>
+							<meta http-equiv="Content-Type"
+								content="text/html; charset=UTF-8" />
+							<title>About this book</title>
+						</head>
+						<body>
+							<div style="text-align: left; font-size: larger">
+								<h2>Information about this book</h2>
+								<xsl:for-each
+									select="/*/tei:teiHeader/tei:fileDesc">
+									<xsl:apply-templates mode="metadata" />
+								</xsl:for-each>
+								<xsl:for-each
+									select="/*/tei:teiHeader/tei:encodingDesc">
+									<xsl:apply-templates mode="metadata" />
+								</xsl:for-each>
+							</div>
+						</body>
+					</html>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/toc.ncx
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document
+					href="{concat($directory,'/OPS/toc.ncx')}" method="xml">
+					<ncx xmlns="http://www.daisy.org/z3986/2005/ncx/"
+						version="2005-1">
+						<head>
+							<meta name="dtb:uid">
+								<xsl:attribute name="content">
+                  <xsl:call-template
+									name="generateID" />
                 </xsl:attribute>
-              </meta>
-              <meta name="dtb:totalPageCount" content="0"/>
-              <meta name="dtb:maxPageNumber" content="0"/>
-            </head>
-            <docTitle>
-              <text>
-                <xsl:call-template name="generateSimpleTitle"/>
-              </text>
-            </docTitle>
-            <navMap>
-              <xsl:variable name="navPoints">
-                <navPoint>
-                  <navLabel>
-                    <text>[Cover]</text>
-                  </navLabel>
-                  <content src="titlepage.html"/>
-                </navPoint>
-                <xsl:for-each select="tei:text/tei:front/tei:titlePage[1]">
-                  <xsl:variable name="N" select="position()"/>
-                  <navPoint>
-                    <navLabel>
-                      <text>[Title page]</text>
-                    </navLabel>
-                    <content src="titlepage{$N}.html"/>
-                  </navPoint>
-                </xsl:for-each>
-                <xsl:choose>
-                  <xsl:when test="not($TOC/html:TOC/html:ul[@class='toc toc_body']/html:li)">
-                    <xsl:for-each select="$TOC/html:TOC/html:ul[@class='toc toc_front']">
-                      <xsl:apply-templates select="html:li"/>
-                    </xsl:for-each>
-                    <navPoint>
-                      <navLabel>
-                        <text>[The book]</text>
-                      </navLabel>
-                      <content src="index.html"/>
-                    </navPoint>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul[contains(@class,'group')]">
-                      <xsl:apply-templates select=".//html:li[not(contains(html:a/@href,'#'))]"/>
-                    </xsl:for-each>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul[@class='toc toc_back']">
-                      <xsl:apply-templates select="html:li"/>
-                    </xsl:for-each>
-                  </xsl:when>
-                  <xsl:otherwise>
-                    <xsl:for-each select="$TOC/html:TOC/html:ul">
-                      <xsl:apply-templates select="html:li"/>
-                    </xsl:for-each>
-                  </xsl:otherwise>
-                </xsl:choose>
-                <navPoint>
-                  <navLabel>
-                    <text>[About this book]</text>
-                  </navLabel>
-                  <content src="titlepageback.html"/>
-                </navPoint>
-              </xsl:variable>
-              <xsl:for-each select="$navPoints/ncx:navPoint">
-                <xsl:variable name="pos" select="position()"/>
-                <navPoint id="navPoint-{$pos}" playOrder="{$pos}">
-                  <xsl:copy-of select="*"/>
-                </navPoint>
-              </xsl:for-each>
-            </navMap>
-          </ncx>
-        </xsl:result-document>
-        <xsl:if test="$verbose='true'">
-          <xsl:message>write file OPS/page-template.xpgt</xsl:message>
-        </xsl:if>
-        <xsl:result-document method="xml" href="{concat($directory,'/OPS/page-template.xpgt')}">
-          <ade:template xmlns="http://www.w3.org/1999/xhtml" xmlns:ade="http://ns.adobe.com/2006/ade" xmlns:fo="http://www.w3.org/1999/XSL/Format">
-            <fo:layout-master-set>
-              <fo:simple-page-master master-name="single_column">
-                <fo:region-body margin-bottom="3pt" margin-top="0.5em" margin-left="3pt" margin-right="3pt"/>
-              </fo:simple-page-master>
-              <fo:simple-page-master master-name="single_column_head">
-                <fo:region-before extent="8.3em"/>
-                <fo:region-body margin-bottom="3pt" margin-top="6em" margin-left="3pt" margin-right="3pt"/>
-              </fo:simple-page-master>
-              <fo:simple-page-master master-name="two_column" margin-bottom="0.5em" margin-top="0.5em" margin-left="0.5em" margin-right="0.5em">
-                <fo:region-body column-count="2" column-gap="10pt"/>
-              </fo:simple-page-master>
-              <fo:simple-page-master master-name="two_column_head" margin-bottom="0.5em" margin-left="0.5em" margin-right="0.5em">
-                <fo:region-before extent="8.3em"/>
-                <fo:region-body column-count="2" margin-top="6em" column-gap="10pt"/>
-              </fo:simple-page-master>
-              <fo:simple-page-master master-name="three_column" margin-bottom="0.5em" margin-top="0.5em" margin-left="0.5em" margin-right="0.5em">
-                <fo:region-body column-count="3" column-gap="10pt"/>
-              </fo:simple-page-master>
-              <fo:simple-page-master master-name="three_column_head" margin-bottom="0.5em" margin-top="0.5em" margin-left="0.5em" margin-right="0.5em">
-                <fo:region-before extent="8.3em"/>
-                <fo:region-body column-count="3" margin-top="6em" column-gap="10pt"/>
-              </fo:simple-page-master>
-              <fo:page-sequence-master>
-                <fo:repeatable-page-master-alternatives>
-                  <fo:conditional-page-master-reference master-reference="three_column_head" page-position="first" ade:min-page-width="80em"/>
-                  <fo:conditional-page-master-reference master-reference="three_column" ade:min-page-width="80em"/>
-                  <fo:conditional-page-master-reference master-reference="two_column_head" page-position="first" ade:min-page-width="50em"/>
-                  <fo:conditional-page-master-reference master-reference="two_column" ade:min-page-width="50em"/>
-                  <fo:conditional-page-master-reference master-reference="single_column_head" page-position="first"/>
-                  <fo:conditional-page-master-reference master-reference="single_column"/>
-                </fo:repeatable-page-master-alternatives>
-              </fo:page-sequence-master>
-            </fo:layout-master-set>
-            <ade:style>
-              <ade:styling-rule selector=".title_box" display="adobe-other-region" adobe-region="xsl-region-before"/>
-            </ade:style>
-          </ade:template>
-        </xsl:result-document>
-        <xsl:if test="$filePerPage='true'">
-          <xsl:if test="$verbose='true'">
-            <xsl:message>write file META-INF/com.apple.ibooks.display-options.xml</xsl:message>
-          </xsl:if>
-          <xsl:result-document href="{concat($directory,'/META-INF/com.apple.ibooks.display-options.xml')}">
-            <display_options xmlns="">
-              <platform name="*">
-                <option name="fixed-layout">true</option>
-              </platform>
-            </display_options>
-          </xsl:result-document>
-        </xsl:if>
-      </xsl:for-each>
-    </xsl:for-each>
-  </xsl:template>
-  <xsl:template match="html:li">
-    <xsl:choose>
-      <xsl:when test="not(html:a)"/>
-      <xsl:when test="starts-with(html:a/@href,'#')"/>
-      <xsl:when test="contains(@class,'headless')"/>
-      <xsl:when test="html:a/@href=preceding-sibling::html:li/html:a/@href"/>
-      <xsl:otherwise>
-        <navPoint xmlns="http://www.daisy.org/z3986/2005/ncx/">
-          <navLabel>
-            <text>
-              <xsl:value-of select="html:span[@class='headingNumber']"/>
-              <xsl:value-of select="normalize-space(html:a[1])"/>
-            </text>
-          </navLabel>
-          <content src="{html:a/@href}"/>
-        </navPoint>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
-  <xsl:template name="javascriptHook">
-    <xsl:for-each select="tokenize($javascriptFiles,',')">
-      <xsl:variable name="name" select="tokenize(normalize-space(.),'/')[last()]"/>
-      <script type="text/javascript" src="{$name}">
-        <xsl:comment>JS library</xsl:comment>
-      </script>
-    </xsl:for-each>
-  </xsl:template>
-  <xsl:template name="epubSpineHook"/>
-  <xsl:template name="epubManifestHook"/>
-  <xsl:template name="processTEIHook"/>
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
-    <desc>[epub] Override addition of CSS links. We force a simple
-      name of "stylesheet.css"
-      </desc>
-  </doc>
-  <xsl:template name="includeCSS">
-    <link xmlns="http://www.w3.org/1999/xhtml" href="stylesheet.css" rel="stylesheet" type="text/css"/>
-    <xsl:if test="not($cssPrintFile='')">
-      <link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet" media="print" type="text/css" href="print.css"/>
-    </xsl:if>
-    <link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet" type="application/vnd.adobe-page-template+xml" href="page-template.xpgt"/>
-    <xsl:call-template name="generateLocalCSS"/>
-  </xsl:template>
+							</meta>
+							<meta name="dtb:totalPageCount" content="0" />
+							<meta name="dtb:maxPageNumber" content="0" />
+						</head>
+						<docTitle>
+							<text>
+								<xsl:call-template name="generateSimpleTitle" />
+							</text>
+						</docTitle>
+						<navMap>
+							<xsl:variable name="navPoints">
+								<navPoint>
+									<navLabel>
+										<text>[Cover]</text>
+									</navLabel>
+									<content src="titlepage.html" />
+								</navPoint>
+								<xsl:for-each
+									select="tei:text/tei:front/tei:titlePage[1]">
+									<xsl:variable name="N" select="position()" />
+									<navPoint>
+										<navLabel>
+											<text>[Title page]</text>
+										</navLabel>
+										<content src="titlepage{$N}.html" />
+									</navPoint>
+								</xsl:for-each>
+								<xsl:choose>
+									<xsl:when
+										test="not($TOC/html:TOC/html:ul[@class='toc toc_body']/html:li)">
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul[@class='toc toc_front']">
+											<xsl:apply-templates select="html:li" />
+										</xsl:for-each>
+										<navPoint>
+											<navLabel>
+												<text>[The book]</text>
+											</navLabel>
+											<content src="index.html" />
+										</navPoint>
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul[contains(@class,'group')]">
+											<xsl:apply-templates
+												select=".//html:li[not(contains(html:a/@href,'#'))]" />
+										</xsl:for-each>
+										<xsl:for-each
+											select="$TOC/html:TOC/html:ul[@class='toc toc_back']">
+											<xsl:apply-templates select="html:li" />
+										</xsl:for-each>
+									</xsl:when>
+									<xsl:otherwise>
+										<xsl:for-each select="$TOC/html:TOC/html:ul">
+											<xsl:apply-templates select="html:li" />
+										</xsl:for-each>
+									</xsl:otherwise>
+								</xsl:choose>
+								<navPoint>
+									<navLabel>
+										<text>[About this book]</text>
+									</navLabel>
+									<content src="titlepageback.html" />
+								</navPoint>
+							</xsl:variable>
+							<xsl:for-each select="$navPoints/ncx:navPoint">
+								<xsl:variable name="pos" select="position()" />
+								<navPoint id="navPoint-{$pos}" playOrder="{$pos}">
+									<xsl:copy-of select="*" />
+								</navPoint>
+							</xsl:for-each>
+						</navMap>
+					</ncx>
+				</xsl:result-document>
+				<xsl:if test="$verbose='true'">
+					<xsl:message>
+						write file OPS/page-template.xpgt
+					</xsl:message>
+				</xsl:if>
+				<xsl:result-document method="xml"
+					href="{concat($directory,'/OPS/page-template.xpgt')}">
+					<ade:template xmlns="http://www.w3.org/1999/xhtml"
+						xmlns:ade="http://ns.adobe.com/2006/ade"
+						xmlns:fo="http://www.w3.org/1999/XSL/Format">
+						<fo:layout-master-set>
+							<fo:simple-page-master
+								master-name="single_column">
+								<fo:region-body margin-bottom="3pt"
+									margin-top="0.5em" margin-left="3pt" margin-right="3pt" />
+							</fo:simple-page-master>
+							<fo:simple-page-master
+								master-name="single_column_head">
+								<fo:region-before extent="8.3em" />
+								<fo:region-body margin-bottom="3pt"
+									margin-top="6em" margin-left="3pt" margin-right="3pt" />
+							</fo:simple-page-master>
+							<fo:simple-page-master
+								master-name="two_column" margin-bottom="0.5em"
+								margin-top="0.5em" margin-left="0.5em" margin-right="0.5em">
+								<fo:region-body column-count="2"
+									column-gap="10pt" />
+							</fo:simple-page-master>
+							<fo:simple-page-master
+								master-name="two_column_head" margin-bottom="0.5em"
+								margin-left="0.5em" margin-right="0.5em">
+								<fo:region-before extent="8.3em" />
+								<fo:region-body column-count="2" margin-top="6em"
+									column-gap="10pt" />
+							</fo:simple-page-master>
+							<fo:simple-page-master
+								master-name="three_column" margin-bottom="0.5em"
+								margin-top="0.5em" margin-left="0.5em" margin-right="0.5em">
+								<fo:region-body column-count="3"
+									column-gap="10pt" />
+							</fo:simple-page-master>
+							<fo:simple-page-master
+								master-name="three_column_head" margin-bottom="0.5em"
+								margin-top="0.5em" margin-left="0.5em" margin-right="0.5em">
+								<fo:region-before extent="8.3em" />
+								<fo:region-body column-count="3" margin-top="6em"
+									column-gap="10pt" />
+							</fo:simple-page-master>
+							<fo:page-sequence-master>
+								<fo:repeatable-page-master-alternatives>
+									<fo:conditional-page-master-reference
+										master-reference="three_column_head" page-position="first"
+										ade:min-page-width="80em" />
+									<fo:conditional-page-master-reference
+										master-reference="three_column" ade:min-page-width="80em" />
+									<fo:conditional-page-master-reference
+										master-reference="two_column_head" page-position="first"
+										ade:min-page-width="50em" />
+									<fo:conditional-page-master-reference
+										master-reference="two_column" ade:min-page-width="50em" />
+									<fo:conditional-page-master-reference
+										master-reference="single_column_head" page-position="first" />
+									<fo:conditional-page-master-reference
+										master-reference="single_column" />
+								</fo:repeatable-page-master-alternatives>
+							</fo:page-sequence-master>
+						</fo:layout-master-set>
+						<ade:style>
+							<ade:styling-rule selector=".title_box"
+								display="adobe-other-region" adobe-region="xsl-region-before" />
+						</ade:style>
+					</ade:template>
+				</xsl:result-document>
+				<xsl:if test="$filePerPage='true'">
+					<xsl:if test="$verbose='true'">
+						<xsl:message>
+							write file META-INF/com.apple.ibooks.display-options.xml
+						</xsl:message>
+					</xsl:if>
+					<xsl:result-document
+						href="{concat($directory,'/META-INF/com.apple.ibooks.display-options.xml')}">
+						<display_options xmlns="">
+							<platform name="*">
+								<option name="fixed-layout">true</option>
+							</platform>
+						</display_options>
+					</xsl:result-document>
+				</xsl:if>
+			</xsl:for-each>
+		</xsl:for-each>
+	</xsl:template>
+	<xsl:template match="html:li">
+		<xsl:choose>
+			<xsl:when test="not(html:a)" />
+			<xsl:when test="starts-with(html:a/@href,'#')" />
+			<xsl:when test="contains(@class,'headless')" />
+			<xsl:when
+				test="html:a/@href=preceding-sibling::html:li/html:a/@href" />
+			<xsl:otherwise>
+				<navPoint xmlns="http://www.daisy.org/z3986/2005/ncx/">
+					<navLabel>
+						<text>
+							<xsl:value-of
+								select="html:span[@class='headingNumber']" />
+							<xsl:value-of select="normalize-space(html:a[1])" />
+						</text>
+					</navLabel>
+					<content src="{html:a/@href}" />
+				</navPoint>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
+	<xsl:template name="javascriptHook">
+		<xsl:for-each select="tokenize($javascriptFiles,',')">
+			<xsl:variable name="name"
+				select="tokenize(normalize-space(.),'/')[last()]" />
+			<script type="text/javascript" src="{$name}">
+				<xsl:comment>
+					JS library
+				</xsl:comment>
+			</script>
+		</xsl:for-each>
+	</xsl:template>
+	<xsl:template name="epubSpineHook" />
+	<xsl:template name="epubManifestHook" />
+	<xsl:template name="processTEIHook" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl">
+		<desc>[epub] Override addition of CSS links. We force a simple
+			name of "stylesheet.css"
+		</desc>
+	</doc>
+	<xsl:template name="includeCSS">
+		<link xmlns="http://www.w3.org/1999/xhtml" href="stylesheet.css"
+			rel="stylesheet" type="text/css" />
+		<xsl:if test="not($cssPrintFile='')">
+			<link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet"
+				media="print" type="text/css" href="print.css" />
+		</xsl:if>
+		<link xmlns="http://www.w3.org/1999/xhtml" rel="stylesheet"
+			type="application/vnd.adobe-page-template+xml"
+			href="page-template.xpgt" />
+		<xsl:call-template name="generateLocalCSS" />
+	</xsl:template>
 
-  <xsl:template name="opfmetadata">
-    <xsl:param name="author"/>
-    <xsl:param name="printAuthor"/>
-    <xsl:param name="coverImageOutside"/>
-    <metadata xmlns="http://www.idpf.org/2007/opf"
-	      xmlns:dc="http://purl.org/dc/elements/1.1/" 
-	      xmlns:dcterms="http://purl.org/dc/terms/" 
-	      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	      xmlns:opf="http://www.idpf.org/2007/opf">
-      <dc:title>
-	<xsl:call-template name="generateSimpleTitle"/>
-      </dc:title>
-      <dc:language xsi:type="dcterms:RFC3066">
-	<xsl:call-template name="generateLanguage"/>
-      </dc:language>
-      <xsl:call-template name="generateSubject"/>
-      <dc:identifier id="dcidid" opf:scheme="URI">
-	<xsl:call-template name="generateID"/>
-      </dc:identifier>
-      <dc:description>
-	<xsl:call-template name="generateSimpleTitle"/>
-	<xsl:text> / </xsl:text>
-	<xsl:value-of select="$author"/>
-      </dc:description>
-      <dc:creator>
-	<xsl:choose>
-	  <xsl:when test="$printAuthor=''">Anonymous/Unknown</xsl:when>
-	  <xsl:otherwise>
-	    <xsl:value-of select="$printAuthor"/>
-	  </xsl:otherwise>
-	</xsl:choose>
-      </dc:creator>
-      <dc:publisher>
-	<xsl:call-template name="generatePublisher"/>
-      </dc:publisher>
-      <xsl:for-each select="tei:teiHeader/tei:profileDesc/tei:creation/tei:date[@notAfter]">
-	<dc:date opf:event="creation">
-	  <xsl:value-of select="@notAfter"/>
-	</dc:date>
-      </xsl:for-each>
-      <xsl:for-each select="tei:teiHeader/tei:fileDesc/tei:sourceDesc//tei:date[@when][1]">
-	<dc:date opf:event="original-publication">
-	  <xsl:value-of select="@when"/>
-	</dc:date>
-      </xsl:for-each>
-      <dc:date opf:event="epub-publication" xsi:type="dcterms:W3CDTF">
-	<xsl:call-template name="generateDate"/>
-      </dc:date>
-      <dc:rights>
-	<xsl:call-template name="generateLicence"/>
-      </dc:rights>
-      <xsl:if test="not($coverImageOutside='')">
-	<meta name="cover" content="cover-image"/>
-      </xsl:if>
-    </metadata>
-</xsl:template>
+	<xsl:template name="opfmetadata">
+		<xsl:param name="author" />
+		<xsl:param name="printAuthor" />
+		<xsl:param name="coverImageOutside" />
+		<metadata xmlns="http://www.idpf.org/2007/opf"
+			xmlns:dc="http://purl.org/dc/elements/1.1/"
+			xmlns:dcterms="http://purl.org/dc/terms/"
+			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+			xmlns:opf="http://www.idpf.org/2007/opf">
+			<dc:title>
+				<xsl:call-template name="generateSimpleTitle" />
+			</dc:title>
+			<dc:language xsi:type="dcterms:RFC3066">
+				<xsl:call-template name="generateLanguage" />
+			</dc:language>
+			<xsl:call-template name="generateSubject" />
+			<dc:identifier id="dcidid" opf:scheme="URI">
+				<xsl:call-template name="generateID" />
+			</dc:identifier>
+			<dc:description>
+				<xsl:call-template name="generateSimpleTitle" />
+				<xsl:text> / </xsl:text>
+				<xsl:value-of select="$author" />
+			</dc:description>
+			<dc:creator>
+				<xsl:choose>
+					<xsl:when test="$printAuthor=''">
+						Anonymous/Unknown
+					</xsl:when>
+					<xsl:otherwise>
+						<xsl:value-of select="$printAuthor" />
+					</xsl:otherwise>
+				</xsl:choose>
+			</dc:creator>
+			<dc:publisher>
+				<xsl:call-template name="generatePublisher" />
+			</dc:publisher>
+			<xsl:for-each
+				select="tei:teiHeader/tei:profileDesc/tei:creation/tei:date[@notAfter]">
+				<dc:date opf:event="creation">
+					<xsl:value-of select="@notAfter" />
+				</dc:date>
+			</xsl:for-each>
+			<xsl:for-each
+				select="tei:teiHeader/tei:fileDesc/tei:sourceDesc//tei:date[@when][1]">
+				<dc:date opf:event="original-publication">
+					<xsl:value-of select="@when" />
+				</dc:date>
+			</xsl:for-each>
+			<dc:date opf:event="epub-publication"
+				xsi:type="dcterms:W3CDTF">
+				<xsl:call-template name="generateDate" />
+			</dc:date>
+			<dc:rights>
+				<xsl:call-template name="generateLicence" />
+			</dc:rights>
+			<xsl:if test="not($coverImageOutside='')">
+				<meta name="cover" content="cover-image" />
+			</xsl:if>
+		</metadata>
+	</xsl:template>
 
 </xsl:stylesheet>
